import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;

public class CopyOfPlayer extends Actor
{
    private int Yspeed = 0;
    private int Xspeed = 0;
    private int delay = 0;
    
    public void act()
    {
        jump();
        fall();
        strafe();
    }
    public void jump() {
        if (detectPlatform() == true && delay == 0 && (Greenfoot.isKeyDown("space") || Greenfoot.isKeyDown("up") || Greenfoot.isKeyDown("w"))) {
            Yspeed = 20;
            delay = 10;
            while (detectPlatform()) {
                setLocation(getX(), getY() - 1);
            }
            setLocation(getX(), getY() - Yspeed);
        }
        else if (delay > 0) {
            delay--;
        }
    }
    public void fall() {
        if (detectPlatform() == false) {
            setLocation(getX(), getY() - Yspeed);
            
            if (Yspeed > -30) {
                Yspeed--;
            }
        }
        else {
            Yspeed = 0;
        }
        if (Greenfoot.isKeyDown("down") || Greenfoot.isKeyDown("s")) {
            Yspeed--;
        }
        if (getY() > 890) {
            ((CopyOfMyWorld)getWorld()).resetWorld();
        }
    }
    public boolean detectPlatform() {
        Actor platform = getOneIntersectingObject(Platform.class);
        if (platform != null) {
            return true;
        }
        return false;
    }
    public void strafe() {
        if ((Greenfoot.isKeyDown("a")  || Greenfoot.isKeyDown("left")) && Xspeed >= -10) {
            Xspeed--;
        }
        else if ((Greenfoot.isKeyDown("d") || Greenfoot.isKeyDown("right")) && Xspeed <= 10) {
            Xspeed++;
        }
        else {
            if (detectPlatform()) {
                if (Xspeed < -10) {
                    Xspeed++;
                }
                else {
                    Xspeed += -2;
                }
            }
            else {
                if (Xspeed < 0) {
                    Xspeed++;
                }
                else {
                    Xspeed--;
                }
            }
        }
        setLocation(getX() + Xspeed, getY());
        
    }
}
