import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class ScoreBoard extends Actor
{
    protected GreenfootImage background = null;
    private int difficulty = 1;
    private int oldspeed = 10;
    
    public ScoreBoard() {
        background = new GreenfootImage (200, 60);
        
        background.setColor(Color.ORANGE);
        background.fillRect(0, 0, 101, 601);
        
        background.setColor(Color.BLACK);
        background.fillRect(0, 0, 100, 600);
        
        setImage(background);
        
        setScore(0, 10);
    }
    public void setScore(int score, int speed) {
        if (speed > oldspeed) {
            difficulty++;
            oldspeed = speed;
        }
        
        GreenfootImage img = new GreenfootImage (background);
        img.setColor(Color.ORANGE);
        
        img.drawString("Score: " + score, 15, 22);
        img.drawString("Difficulty: " + difficulty, 15, 42);
        
        img.scale(img.getWidth() + 100, img.getHeight() + 20);
        
        setImage(img);
    }
}
