import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;

public class MyWorld extends World
{
    private int delay = 0;
    private int delayz = 10;
    private int score = 0;
    private int speed = 10;
    private int highscore = 0;
    
    public MyWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1700, 900, 1); 
        prepare();
    }
    private void prepare()
    {
        Player player = new Player();
        addObject(player,230,420);
        
        Platform platform1 = new Platform();
        addObject(platform1,210,460);
        Platform platform2 = new Platform();
        addObject(platform2,370,460);
        Platform platform7 = new Platform();
        addObject(platform7,530,460);
        Platform platform3 = new Platform();
        addObject(platform3,690,460);
        Platform platform4 = new Platform();
        addObject(platform4,850,460);
        Platform platform5 = new Platform();
        addObject(platform5,1010,460);
        Platform platform6 = new Platform();
        addObject(platform6,1170,460);
        
        ScoreBoard scoreboard = new ScoreBoard();
        addObject(scoreboard, 170, 50);
    }
    public void act() {
        spawnPlatform();
    }
    public void spawnPlatform() {
        if (delay == 0) {
            addObject(new Platform(), 1700, Greenfoot.getRandomNumber(300) + 300);
            delay = 40;
            
            List <ScoreBoard> scoreboardList  = getObjects(ScoreBoard.class);
            score++;
            
            for (ScoreBoard scoreboard : scoreboardList) {
                scoreboard.setScore(score, speed);
            }
            
            List <Platform> platformList  = getObjects(Platform.class);
            
            for (Platform platform : platformList) {
                platform.setSpeed(speed);
            }
            
            if (delayz == 0) {
                delay += 10;
                speed += 3;
                
                delayz = 15;
            }
            else {
                delayz--;
            }
        }
        else if (delay > 0){
            delay--;
        }
    }
    public void resetWorld() {
        RestartScreen restartscreen = new RestartScreen();
        addObject(restartscreen, 850, 450);
        speed = 0;
        delay = 10000;
        if (highscore < score) {
            highscore = score;
        }
        finalScore();
        
        if (Greenfoot.getKey() == "space") {
            Greenfoot.setWorld(new CopyOfMyWorld(highscore));
        }
    }
    public void finalScore() {
        if (score%10 == 0) {
            HLine zero1 = new HLine();
            addObject(zero1, 880, 400);
            
            HLine zero3 = new HLine();
            addObject(zero3, 880, 480);
            
            VLine zero4 = new VLine();
            addObject(zero4, 860, 420);
            
            VLine zero5 = new VLine();
            addObject(zero5, 860, 460);
            
            VLine zero6 = new VLine();
            addObject(zero6, 900, 420);
            
            VLine zero7 = new VLine();
            addObject(zero7, 900, 460);
        }
        else if (score%10 == 1) {
            VLine zero6 = new VLine();
            addObject(zero6, 900, 420);
            
            VLine zero7 = new VLine();
            addObject(zero7, 900, 460);
        }
        else if (score%10 == 2) {
            HLine zero1 = new HLine();
            addObject(zero1, 880, 400);
            
            HLine zero2 = new HLine();
            addObject(zero2, 880, 440);
            
            HLine zero3 = new HLine();
            addObject(zero3, 880, 480);
            
            VLine zero5 = new VLine();
            addObject(zero5, 860, 460);
            
            VLine zero6 = new VLine();
            addObject(zero6, 900, 420);
        }
        else if (score%10 == 3) {
            HLine zero1 = new HLine();
            addObject(zero1, 880, 400);
            
            HLine zero2 = new HLine();
            addObject(zero2, 880, 440);
            
            HLine zero3 = new HLine();
            addObject(zero3, 880, 480);
            
            VLine zero6 = new VLine();
            addObject(zero6, 900, 420);
            
            VLine zero7 = new VLine();
            addObject(zero7, 900, 460);
        }
        else if (score%10 == 4) {
            HLine zero2 = new HLine();
            addObject(zero2, 880, 440);
            
            VLine zero4 = new VLine();
            addObject(zero4, 860, 420);
            
            VLine zero6 = new VLine();
            addObject(zero6, 900, 420);
            
            VLine zero7 = new VLine();
            addObject(zero7, 900, 460);
        }
        else if (score%10 == 5) {
            HLine zero1 = new HLine();
            addObject(zero1, 880, 400);
            
            HLine zero2 = new HLine();
            addObject(zero2, 880, 440);
            
            HLine zero3 = new HLine();
            addObject(zero3, 880, 480);
            
            VLine zero4 = new VLine();
            addObject(zero4, 860, 420);
            
            VLine zero7 = new VLine();
            addObject(zero7, 900, 460);
        }
        else if (score%10 == 6) {
            HLine zero1 = new HLine();
            addObject(zero1, 880, 400);
            
            HLine zero2 = new HLine();
            addObject(zero2, 880, 440);
            
            HLine zero3 = new HLine();
            addObject(zero3, 880, 480);
            
            VLine zero4 = new VLine();
            addObject(zero4, 860, 420);
            
            VLine zero5 = new VLine();
            addObject(zero5, 860, 460);
            
            VLine zero7 = new VLine();
            addObject(zero7, 900, 460);
        }
        else if (score%10 == 7) {
            HLine zero1 = new HLine();
            addObject(zero1, 880, 400);
            
            VLine zero6 = new VLine();
            addObject(zero6, 900, 420);
            
            VLine zero7 = new VLine();
            addObject(zero7, 900, 460);
        }
        else if (score%10 == 8) {
            HLine zero1 = new HLine();
            addObject(zero1, 880, 400);
            
            HLine zero2 = new HLine();
            addObject(zero2, 880, 440);
            
            HLine zero3 = new HLine();
            addObject(zero3, 880, 480);
            
            VLine zero4 = new VLine();
            addObject(zero4, 860, 420);
            
            VLine zero5 = new VLine();
            addObject(zero5, 860, 460);
            
            VLine zero6 = new VLine();
            addObject(zero6, 900, 420);
            
            VLine zero7 = new VLine();
            addObject(zero7, 900, 460);
        }
        else if (score%10 == 9) {
            HLine zero1 = new HLine();
            addObject(zero1, 880, 400);
            
            HLine zero2 = new HLine();
            addObject(zero2, 880, 440);
            
            HLine zero3 = new HLine();
            addObject(zero3, 880, 480);
            
            VLine zero4 = new VLine();
            addObject(zero4, 860, 420);
            
            VLine zero6 = new VLine();
            addObject(zero6, 900, 420);
            
            VLine zero7 = new VLine();
            addObject(zero7, 900, 460);
        }
        
        if (score - (score%10) == 0) {
            HLine pero1 = new HLine();
            addObject(pero1, 820, 400);
            
            HLine pero3 = new HLine();
            addObject(pero3, 820, 480);
            
            VLine pero4 = new VLine();
            addObject(pero4, 800, 420);
            
            VLine pero5 = new VLine();
            addObject(pero5, 800, 460);
            
            VLine pero6 = new VLine();
            addObject(pero6, 840, 420);
            
            VLine pero7 = new VLine();
            addObject(pero7, 840, 460);
        }
        else if (score - (score%10) == 10) {
            VLine pero6 = new VLine();
            addObject(pero6, 840, 420);
            
            VLine pero7 = new VLine();
            addObject(pero7, 840, 460);
        }
        else if (score - (score%10) == 20) {
            HLine pero1 = new HLine();
            addObject(pero1, 820, 400);
            
            HLine pero2 = new HLine();
            addObject(pero2, 820, 440);
            
            HLine pero3 = new HLine();
            addObject(pero3, 820, 480);
            
            VLine pero5 = new VLine();
            addObject(pero5, 800, 460);
            
            VLine pero6 = new VLine();
            addObject(pero6, 840, 420);
        }
        else if (score - (score%10) == 30) {
            HLine pero1 = new HLine();
            addObject(pero1, 820, 400);
            
            HLine pero2 = new HLine();
            addObject(pero2, 820, 440);
            
            HLine pero3 = new HLine();
            addObject(pero3, 820, 480);
            
            VLine pero6 = new VLine();
            addObject(pero6, 840, 420);
            
            VLine pero7 = new VLine();
            addObject(pero7, 840, 460);
        }
        else if (score - (score%10) == 40) {
            HLine pero2 = new HLine();
            addObject(pero2, 820, 440);
            
            VLine pero4 = new VLine();
            addObject(pero4, 800, 420);
            
            VLine pero6 = new VLine();
            addObject(pero6, 840, 420);
            
            VLine pero7 = new VLine();
            addObject(pero7, 840, 460);
        }
        else if (score - (score%10) == 50) {
            HLine pero1 = new HLine();
            addObject(pero1, 820, 400);
            
            HLine pero2 = new HLine();
            addObject(pero2, 820, 440);
            
            HLine pero3 = new HLine();
            addObject(pero3, 820, 480);
            
            VLine pero4 = new VLine();
            addObject(pero4, 800, 420);
            
            VLine pero7 = new VLine();
            addObject(pero7, 840, 460);
        }
        else if (score - (score%10) == 60) {
            HLine pero1 = new HLine();
            addObject(pero1, 820, 400);
            
            HLine pero2 = new HLine();
            addObject(pero2, 820, 440);
            
            HLine pero3 = new HLine();
            addObject(pero3, 820, 480);
            
            VLine pero4 = new VLine();
            addObject(pero4, 800, 420);
            
            VLine pero5 = new VLine();
            addObject(pero5, 800, 460);
            
            VLine pero7 = new VLine();
            addObject(pero7, 840, 460);
        }
        else if (score - (score%10) == 70) {
            HLine pero1 = new HLine();
            addObject(pero1, 820, 400);
            
            VLine pero6 = new VLine();
            addObject(pero6, 840, 420);
            
            VLine pero7 = new VLine();
            addObject(pero7, 840, 460);
        }
        else if (score - (score%10) == 80) {
            HLine pero1 = new HLine();
            addObject(pero1, 820, 400);
            
            HLine pero2 = new HLine();
            addObject(pero2, 820, 440);
            
            HLine pero3 = new HLine();
            addObject(pero3, 820, 480);
            
            VLine pero4 = new VLine();
            addObject(pero4, 800, 420);
            
            VLine pero5 = new VLine();
            addObject(pero5, 800, 460);
            
            VLine pero6 = new VLine();
            addObject(pero6, 840, 420);
            
            VLine pero7 = new VLine();
            addObject(pero7, 840, 460);
        }
        else if (score - (score%10) == 90) {
            HLine pero1 = new HLine();
            addObject(pero1, 820, 400);
            
            HLine pero2 = new HLine();
            addObject(pero2, 820, 440);
            
            HLine pero3 = new HLine();
            addObject(pero3, 820, 480);
            
            VLine pero4 = new VLine();
            addObject(pero4, 820, 420);
            
            VLine pero6 = new VLine();
            addObject(pero6, 840, 420);
            
            VLine pero7 = new VLine();
            addObject(pero7, 840, 460);
        }
        
        //Highscore
        if (highscore%10 == 0) {
            HLine jero1 = new HLine();
            addObject(jero1, 880, 620);
            
            HLine jero3 = new HLine();
            addObject(jero3, 880, 700);
            
            VLine jero4 = new VLine();
            addObject(jero4, 860, 640);
            
            VLine jero5 = new VLine();
            addObject(jero5, 860, 680);
            
            VLine jero6 = new VLine();
            addObject(jero6, 900, 640);
            
            VLine jero7 = new VLine();
            addObject(jero7, 900, 680);
        }
        else if (highscore%10 == 1) {
            VLine jero6 = new VLine();
            addObject(jero6, 900, 640);
            
            VLine jero7 = new VLine();
            addObject(jero7, 900, 680);
        }
        else if (highscore%10 == 2) {
            HLine jero1 = new HLine();
            addObject(jero1, 880, 620);
            
            HLine jero2 = new HLine();
            addObject(jero2, 880, 660);
            
            HLine jero3 = new HLine();
            addObject(jero3, 880, 700);
            
            VLine jero5 = new VLine();
            addObject(jero5, 860, 680);
            
            VLine jero6 = new VLine();
            addObject(jero6, 900, 640);
        }
        else if (highscore%10 == 3) {
            HLine jero1 = new HLine();
            addObject(jero1, 880, 620);
            
            HLine jero2 = new HLine();
            addObject(jero2, 880, 660);
            
            HLine jero3 = new HLine();
            addObject(jero3, 880, 700);
            
            VLine jero6 = new VLine();
            addObject(jero6, 900, 640);
            
            VLine jero7 = new VLine();
            addObject(jero7, 900, 680);
        }
        else if (highscore%10 == 4) {
            HLine jero2 = new HLine();
            addObject(jero2, 880, 660);
            
            VLine jero4 = new VLine();
            addObject(jero4, 860, 640);
            
            VLine jero6 = new VLine();
            addObject(jero6, 900, 640);
            
            VLine jero7 = new VLine();
            addObject(jero7, 900, 680);
        }
        else if (highscore%10 == 5) {
            HLine jero1 = new HLine();
            addObject(jero1, 880, 620);
            
            HLine jero2 = new HLine();
            addObject(jero2, 880, 660);
            
            HLine jero3 = new HLine();
            addObject(jero3, 880, 700);
            
            VLine jero4 = new VLine();
            addObject(jero4, 860, 640);
            
            VLine jero7 = new VLine();
            addObject(jero7, 900, 680);
        }
        else if (highscore%10 == 6) {
            HLine jero1 = new HLine();
            addObject(jero1, 880, 620);
            
            HLine jero2 = new HLine();
            addObject(jero2, 880, 660);
            
            HLine jero3 = new HLine();
            addObject(jero3, 880, 700);
            
            VLine jero4 = new VLine();
            addObject(jero4, 860, 640);
            
            VLine jero5 = new VLine();
            addObject(jero5, 860, 680);
            
            VLine jero7 = new VLine();
            addObject(jero7, 900, 680);
        }
        else if (highscore%10 == 7) {
            HLine jero1 = new HLine();
            addObject(jero1, 880, 620);
            
            VLine jero6 = new VLine();
            addObject(jero6, 900, 640);
            
            VLine jero7 = new VLine();
            addObject(jero7, 900, 680);
        }
        else if (highscore%10 == 8) {
            HLine jero1 = new HLine();
            addObject(jero1, 880, 620);
            
            HLine jero2 = new HLine();
            addObject(jero2, 880, 660);
            
            HLine jero3 = new HLine();
            addObject(jero3, 880, 700);
            
            VLine jero4 = new VLine();
            addObject(jero4, 860, 640);
            
            VLine jero5 = new VLine();
            addObject(jero5, 860, 680);
            
            VLine jero6 = new VLine();
            addObject(jero6, 900, 640);
            
            VLine jero7 = new VLine();
            addObject(jero7, 900, 680);
        }
        else if (highscore%10 == 9) {
            HLine jero1 = new HLine();
            addObject(jero1, 880, 620);
            
            HLine jero2 = new HLine();
            addObject(jero2, 880, 660);
            
            HLine jero3 = new HLine();
            addObject(jero3, 880, 700);
            
            VLine jero4 = new VLine();
            addObject(jero4, 860, 640);
            
            VLine jero6 = new VLine();
            addObject(jero6, 900, 640);
            
            VLine jero7 = new VLine();
            addObject(jero7, 900, 680);
        }
        
        if (highscore - (highscore%10) == 0) {
            HLine mero1 = new HLine();
            addObject(mero1, 820, 620);
            
            HLine mero3 = new HLine();
            addObject(mero3, 820, 700);
            
            VLine mero4 = new VLine();
            addObject(mero4, 800, 640);
            
            VLine mero5 = new VLine();
            addObject(mero5, 800, 680);
            
            VLine mero6 = new VLine();
            addObject(mero6, 840, 640);
            
            VLine mero7 = new VLine();
            addObject(mero7, 840, 680);
        }
        else if (highscore - (highscore%10) == 10) {
            VLine mero6 = new VLine();
            addObject(mero6, 840, 640);
            
            VLine mero7 = new VLine();
            addObject(mero7, 840, 680);
        }
        else if (highscore - (highscore%10) == 20) {
            HLine mero1 = new HLine();
            addObject(mero1, 820, 620);
            
            HLine mero2 = new HLine();
            addObject(mero2, 820, 660);
            
            HLine mero3 = new HLine();
            addObject(mero3, 820, 700);
            
            VLine mero5 = new VLine();
            addObject(mero5, 800, 680);
            
            VLine mero6 = new VLine();
            addObject(mero6, 840, 640);
        }
        else if (highscore - (highscore%10) == 30) {
            HLine mero1 = new HLine();
            addObject(mero1, 820, 620);
            
            HLine mero2 = new HLine();
            addObject(mero2, 820, 660);
            
            HLine mero3 = new HLine();
            addObject(mero3, 820, 700);
            
            VLine mero6 = new VLine();
            addObject(mero6, 840, 640);
            
            VLine mero7 = new VLine();
            addObject(mero7, 840, 680);
        }
        else if (highscore - (highscore%10) == 40) {
            HLine mero2 = new HLine();
            addObject(mero2, 820, 660);
            
            VLine mero4 = new VLine();
            addObject(mero4, 800, 640);
            
            VLine mero6 = new VLine();
            addObject(mero6, 840, 640);
            
            VLine mero7 = new VLine();
            addObject(mero7, 840, 680);
        }
        else if (highscore - (highscore%10) == 50) {
            HLine mero1 = new HLine();
            addObject(mero1, 820, 620);
            
            HLine mero2 = new HLine();
            addObject(mero2, 820, 660);
            
            HLine mero3 = new HLine();
            addObject(mero3, 820, 700);
            
            VLine mero4 = new VLine();
            addObject(mero4, 800, 640);
            
            VLine mero7 = new VLine();
            addObject(mero7, 840, 680);
        }
        else if (highscore - (highscore%10) == 60) {
            HLine mero1 = new HLine();
            addObject(mero1, 820, 620);
            
            HLine mero2 = new HLine();
            addObject(mero2, 820, 660);
            
            HLine mero3 = new HLine();
            addObject(mero3, 820, 700);
            
            VLine mero4 = new VLine();
            addObject(mero4, 800, 640);
            
            VLine mero5 = new VLine();
            addObject(mero5, 800, 680);
            
            VLine mero7 = new VLine();
            addObject(mero7, 840, 680);
        }
        else if (highscore - (highscore%10) == 70) {
            HLine mero1 = new HLine();
            addObject(mero1, 820, 620);
            
            VLine mero6 = new VLine();
            addObject(mero6, 840, 640);
            
            VLine mero7 = new VLine();
            addObject(mero7, 840, 680);
        }
        else if (highscore - (highscore%10) == 80) {
            HLine mero1 = new HLine();
            addObject(mero1, 820, 620);
            
            HLine mero2 = new HLine();
            addObject(mero2, 820, 660);
            
            HLine mero3 = new HLine();
            addObject(mero3, 820, 700);
            
            VLine mero4 = new VLine();
            addObject(mero4, 800, 640);
            
            VLine mero5 = new VLine();
            addObject(mero5, 800, 680);
            
            VLine mero6 = new VLine();
            addObject(mero6, 840, 640);
            
            VLine mero7 = new VLine();
            addObject(mero7, 840, 680);
        }
        else if (highscore - (highscore%10) == 90) {
            HLine mero1 = new HLine();
            addObject(mero1, 820, 620);
            
            HLine mero2 = new HLine();
            addObject(mero2, 820, 660);
            
            HLine mero3 = new HLine();
            addObject(mero3, 820, 700);
            
            VLine mero4 = new VLine();
            addObject(mero4, 820, 640);
            
            VLine mero6 = new VLine();
            addObject(mero6, 840, 640);
            
            VLine mero7 = new VLine();
            addObject(mero7, 840, 680);
        }
    }
}
